import * as React from 'react'
import { ChakraProvider, Alert, AlertIcon, AlertTitle, AlertDescription } from '@chakra-ui/react'
import * as ReactDOM from 'react-dom/client'
import App from './App'
import { ColorModeScript } from '@chakra-ui/react'
import theme from '../theme'

const rootElement = document.getElementById('root')

ReactDOM.createRoot(rootElement).render(
  <React.StrictMode>
    <ChakraProvider>
      {/* <Alert status='error'>
        <AlertIcon />
        <AlertTitle>Search Suggestions are unavailable at this time.</AlertTitle>
        <AlertDescription>Due to an ISP issue, the api is down. Search suggestions will not function.</AlertDescription>
      </Alert> */}
      <App />
      <ColorModeScript initialColorMode={theme.config.initialColorMode} />
    </ChakraProvider>
  </React.StrictMode>,
)