import { extendTheme } from "@chakra-ui/react";

const config = {
    initialColorMode: "dark",
    useSystemColorMode: true,
}

const theme = extendTheme({ config, styles: {
    global: {
      body: {
        margin: 0,
        padding: 0,
        minHeight: "100vh", // Ensure the container takes at least the full viewport height
      },
    },
  },
 })

export default theme